/*=========================================================

TYPOGRAPHY

=========================================================*/

*{
margin:0;
padding:0;
box-sizing:border-box;
}

html{

scroll-behavior:smooth;

}

body{

font-family:'Inter',sans-serif;

font-size:18px;

line-height:1.85;

color:var(--text);

background:var(--bg);

-webkit-font-smoothing:antialiased;
-moz-osx-font-smoothing:grayscale;
text-rendering:optimizeLegibility;

}

h1,h2,h3,h4{

font-family:'Cormorant Garamond',serif;

font-weight:600;

color:var(--heading);

line-height:1.1;

margin-bottom:22px;

}

h1{

font-size:clamp(3.5rem,6vw,5.8rem);

}

h2{

font-size:clamp(2.4rem,4vw,3.8rem);

}

h3{

font-size:2rem;

}

p{

margin-bottom:24px;

color:var(--text);

}

a{

text-decoration:none;

transition:.3s;

}

img{

display:block;

max-width:100%;

height:auto;

}

::selection{

    background:var(--primary);

    color:white;

}

.section-title h2,
.section-subtitle h2{

    position:relative;
    display:inline-block;
    padding-bottom:15px;
    margin-bottom:28px;

}

.section-title h2::after,
.section-subtitle h2::after{
    content:"";
    position:absolute;
    left:50%;
    transform:translateX(-50%);
    bottom:0;
    width:65px;
    height:3px;
    border-radius:20px;
    background:linear-gradient(
        90deg,
        transparent,
        var(--primary),
        transparent
    );
}